#!/bin/sh
. `dirname $0`/../../func.sh

echo 0 > /sys/class/graphics/fbcon/cursor_blink

# check the devices with "media-ctl -p"
IPU0_CSI0_DEVICE_0="/dev/video0"
CAM_DEVICE_0="/dev/v4l-subdev3"
IPU0_CSI0_DEVICE_1="/dev/video4"
CAM_DEVICE_1="/dev/v4l-subdev7"

echo ""
echo "configure IPU/VPU with media_control"
echo "===================================="
echo "Is right Masterclock set? (see gstreamer-examples path)"
echo ""

echo "starting gstreamer with two yuv Sources ..."
echo "read camera_0 from CSI0 and camera_1 from CSI1 with 640x512 (skip2)"
echo "scale both streams to 400x320 Pixel and write side by side into same framebuffer"
echo "================================================================================"
echo ""
echo "configure IPU/VPU with media_control"
echo "===================================="

media-ctl -r
media-ctl -V '"mt9m111 2-005d":0[fmt:YUYV2X8/1280x1024 (26,8)/1280x1024]'
media-ctl -V '"ipu0-csi0-sd":0[fmt:YUYV2X8/1280x1024]'
media-ctl -V '"ipu0-csi0-sd":1[fmt:YUYV2X8/1280x1024]'
#media-ctl -l '2:0 -> 1:0[1], 1:1 -> 2:0[1]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)   

media-ctl -V '"mt9m111 2-0048":0[fmt:YUYV2X8/1280x1024 (26,8)/1280x1024]'
media-ctl -V '"ipu1-csi1-sd":0[fmt:YUYV2X8/1280x1024]'
media-ctl -V '"ipu1-csi1-sd":1[fmt:YUYV2X8/1280x1024]'
media-ctl -l '9:0 -> 8:0[1], 8:1 -> 10:0[1]'
#           Camera -> IPU0-CSI0-sd -> IPU0-CSI0-video (/dev/videoX)   


echo ""
echo "start gstreamer, break with ctl-C"
echo "================================="

gst-launch-1.0 videomixer name=mix  sink_0::xpos=0 sink_0::ypos=0 sink_1::xpos=400 sink_1::ypos=0 ! videoconvert ! queue ! fbdevsink sync=false \
   v4l2src device=$IPU0_CSI0_DEVICE_0 ! i2c addr=0x48 file=`dirname $0`/../../register-settings-mt9m131.txt show=0 dev=$CAM_DEVICE_0 ! \
   video/x-raw,format=UYVY,depth=8,width=1280,height=1024,framerate=25/1 ! videoscale ! queue ! video/x-raw,format=UYVY,depth=8,width=400,height=320 ! \
   mix. \
   v4l2src device=$IPU0_CSI0_DEVICE_1 ! i2c addr=0x5d file=`dirname $0`/../../register-settings-mt9m131.txt show=0 dev=$CAM_DEVICE_1 ! \
   video/x-raw,format=UYVY,depth=8,width=1280,height=1024,framerate=25/1 ! videoscale ! queue ! video/x-raw,format=UYVY,depth=8,width=400,height=320 ! \
   mix. 


#gst-launch-1.0 \
#	v4l2src device=$IPU0_CSI0_DEVICE_0 ! \
#	i2c addr=0x48 file=`dirname $0`/../../register-settings-mt9m131.txt show=0 dev=$CAM_DEVICE_0 ! \
#	video/x-raw,format=UYVY,depth=8,width=1280,height=1024 ! \
#	videoscale ! video/x-raw,format=UYVY,depth=8,width=640,height=480 ! \
#	videoconvert ! \
#	fbdevsink sync=false
	
#gst-launch-1.0 \
#	v4l2src device=$IPU0_CSI0_DEVICE_1 ! \
#	i2c addr=0x5d file=`dirname $0`/../../register-settings-mt9m131.txt show=0 dev=$CAM_DEVICE_1 ! \
#	video/x-raw,format=UYVY,depth=8,width=1280,height=1024 ! \
#	videoscale ! video/x-raw,format=UYVY,depth=8,width=640,height=480 ! \
#	videoconvert ! \
#	fbdevsink sync=false
	
echo 1 > /sys/class/graphics/fbcon/cursor_blink

